Subject: Re: OemToCharBuffA etc.
From: [email-masked] (Thomas Nichols)

16 Nov 1997 16:53:54 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: "Earnie Boyd" <[email-masked]>
Cc: [email-masked]

Thanks Earnie,

At 19:46 15/11/97 PST, you wrote:
>Let me point you to:
>
>ftp://ftp.cygnus.com/pub/gnu-win32/latest/
>
>http://www.cygnus.com/pubs/gnupro/
>
>http://www.cygnus.com/misc/gnu-win32/
>
>http://www.cygnus.com/ml/gnu-win32
>
>http://www.fu.is.saga-u.ac.jp/~colin/gcc.html

All these I've previously searched, but I can't find any ref to
OemToCharBuffA and the others - Scott Christley's gnu-win32 API headers
include protos for them, but ld reports it can't find them in the
libraries, and
grep OemTo *.a
in C:\gnuwin32\b18\H-i386-cygwin32\i386-cygwin32\lib
finds no matches (though it finds plenty for MessageBox, for example).

Any suggestions on rsolving this?

Thanks,
Regards,
Tom.

>
>>Date: Sun, 16 Nov 1997 01:04:30 +0000
>>To: [email-masked]
>>From: Thomas Nichols <[email-masked]>
>>Subject: OemToCharBuffA etc.
>>
>>Hello,
>>
>>I'm now trying to link with the Bullet database engine (
>>http://www.40th.com ) which is written in assembler, and apparently
>>references Win32 API functions: copying the COFF format .lib file to
>>libxbstat.a, and compiling a 10 line prog that uses a function in this
>>library, gives:
>>
>>gcc -o test.exe test.c -luser32 -DPLATFORM=ON_WIN32  -L. -lxbstat
>>./libxbstat.a(XBDOSFN.OBJ)(CODE+0x70f):XBDOSFN.ASM: undefined reference 
>to
>>`CharUpperA@4'
>>./libxbstat.a(XBDOSFN.OBJ)(CODE+0xade):XBDOSFN.ASM: undefined reference 
>to
>>`OemToCharBuffA@12'
>>./libxbstat.a(XBDOSFN.OBJ)(CODE+0xae9):XBDOSFN.ASM: undefined reference 
>to
>>`CharUpperBuffA@8'
>>./libxbstat.a(XBDOSFN.OBJ)(CODE+0xafb):XBDOSFN.ASM: undefined reference 
>to
>>`CharToOemBuffA@12'
>>./libxbstat.a(XBDOSFN.OBJ)(CODE+0xcfe):XBDOSFN.ASM: undefined reference 
>to
>>`OemToCharBuffA@12'
>>./libxbstat.a(XBDOSFN.OBJ)(CODE+0xd07):XBDOSFN.ASM: undefined reference 
>to
>>`CharUpperBuffA@8'
>>./libxbstat.a(XBDOSFN.OBJ)(CODE+0xd11):XBDOSFN.ASM: undefined reference 
>to
>>`CharToOemBuffA@12'
>>GCC.EXE: Internal compiler error: program ld got fatal signal 1
>>
>>
>>These are defined in the gnu-win32 headers, but I can't find them in 
>the
>>libraries - am I doing something stupid, or are these functions 
>missing?
>>
>>Thanks,
>>Regards,
>>Tom.
>>
>>PS: This is one seriously fast database. Using dBase IV / V compatible 
>data
>>files, a test app added 1 million keyed records with a compound key (on 
>a
>>trusty old P100 32Mb) in under 2 minutes, and did 1 million key lookups
>>(retrieving the data record into a buffer) in 28 seconds. Ouch.
>>
>>
>>-
>>For help on using this list (especially unsubscribing), send a message 
>to
>>"[email-masked]" with one line of text: "help".
>>
>
>
>______________________________________________________
>Get Your Private, Free Email at http://www.hotmail.com
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".